Class | Chef::Provider::Group::Groupadd
In: | lib/chef/provider/group/groupadd.rb
Parent: | Chef::Provider::Group

### Methods

create_group groupadd_options load_current_resource manage_group modify_group_members remove_group required_binaries set_options

### Public Instance methods

create_group()

Create the group

groupadd_options()
load_current_resource()
manage_group()

Manage the group when it already exists

modify_group_members()
remove_group()

Remove the group

required_binaries()
set_options()

Little bit of magic as per Adam‘s useradd provider to pull the assign the command line flags

#### Returns

<string>: | A string containing the option and then the quoted value

[Validate]